# Meme Images

## Meme Image

<mark style="color:blue;">`GET`</mark> `https://api.fluxpoint.dev/sfw/img/meme`

Get a random meme image.

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "success": true,
    "code": 200,
    "message": "",
    "id": "22706878647631872",
    "file": "https://img.fluxpoint.dev/22706878647631872.png"
}
```

{% endtab %}
{% endtabs %}

## No U Image

<mark style="color:blue;">`GET`</mark> `https://api.fluxpoint.dev/sfw/img/nou`

Get a random no u image.

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "success": true,
    "code": 200,
    "message": "",
    "id": "22706878647631872",
    "file": "https://img.fluxpoint.dev/22706878647631872.png"
}
```

{% endtab %}
{% endtabs %}

## Pog Image

<mark style="color:blue;">`GET`</mark> `https://api.fluxpoint.dev/sfw/img/pog`

Get a random pog image.

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "success": true,
    "code": 200,
    "message": "",
    "id": "22706878647631872",
    "file": "https://img.fluxpoint.dev/22706878647631872.png"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fluxpoint.dev/api/endpoints/meme-images.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
